Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ControlPluginManager

    java.lang.Object
      org.hyperic.hq.product.PluginManager
          org.hyperic.hq.product.ControlPluginManager

    public class ControlPluginManager

extends PluginManager

Field Summary
`static String[]` | `BUILTIN_CMDS`

Fields inherited from class org.hyperic.hq.product.PluginManager
`log, plugins`

Constructor Summary
`ControlPluginManager()`
`ControlPluginManager(Properties props)`

Method Summary
`void` | `addJob(String name, String jobId)`
`void` | `createControlPlugin(String name, String type, org.hyperic.util.config.ConfigResponse config)`
`void` | `doAction(String name, String action, String[] args)`
`List<String>` | `getActions(String name)`
`String` | `getMessage(String name)`
`String` | `getName()`
`String` | `getNextJob(String name)`
`int` | `getResult(String name)`
`void` | `removeControlPlugin(String name)`
`void` | `removeNextJob(String name)`
`void` | `updateControlPlugin(String name, org.hyperic.util.config.ConfigResponse config)`

Methods inherited from class org.hyperic.hq.product.PluginManager
`classNotFoundMessage, createPlugin, createPlugin, createPlugin, getConfigSchema, getParent, getPlatformPlugin, getPlatformPlugin, getPlatformPlugins, getPlatformPlugins, getPlugin, getPluginInfo, getPlugins, getPlugins, getProperties, getProperty, getProperty, init, isPropertyEnabled, isPropertyEnabled, isRegistered, mergeConfigSchema, registerPlugin, registerPlugin, registerPlugin, removePlugin, setPluginInfo, shutdown, updatePlugin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILTIN_CMDS

    public static final String[] BUILTIN_CMDS

Constructor Detail

### ControlPluginManager

    public ControlPluginManager()

### ControlPluginManager

    public ControlPluginManager(Properties props)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in class `PluginManager`

### createControlPlugin

    public void createControlPlugin(String name,
                                    String type,
                                    org.hyperic.util.config.ConfigResponse config)
                             throws PluginNotFoundException,
                                    PluginExistsException,
                                    PluginException

  Throws:
    `PluginNotFoundException`
    `PluginExistsException`
    `PluginException`

### updateControlPlugin

    public void updateControlPlugin(String name,
                                    org.hyperic.util.config.ConfigResponse config)
                             throws PluginNotFoundException,
                                    PluginException

  Throws:
    `PluginNotFoundException`
    `PluginException`

### getActions

    public List<String> getActions(String name)
                            throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### addJob

    public void addJob(String name,
                       String jobId)

### getNextJob

    public String getNextJob(String name)
                      throws NoSuchElementException

  Throws:
    `NoSuchElementException`

### removeNextJob

    public void removeNextJob(String name)
                       throws NoSuchElementException

  Throws:
    `NoSuchElementException`

### doAction

    public void doAction(String name,
                         String action,
                         String[] args)
                  throws PluginNotFoundException,
                         PluginException

  Throws:
    `PluginNotFoundException`
    `PluginException`

### getResult

    public int getResult(String name)
                  throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### getMessage

    public String getMessage(String name)
                      throws PluginNotFoundException

  Throws:
    `PluginNotFoundException`

### removeControlPlugin

    public void removeControlPlugin(String name)
                             throws PluginException,
                                    PluginNotFoundException

  Throws:
    `PluginException`
    `PluginNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.